Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Interface Money

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Subinterfaces:
  DescribedMoney, DescribedPrice, Price

All Known Implementing Classes:
  DescribedMoneyImpl, DescribedPriceImpl, MoneyImpl, PriceImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface Money

extends Belonging

Represents money as value and currency

See Also
  `MoneyHome`

Method Summary
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`double` | `getValue()` Deprecated See BEA Commerce product offering
`void` | `setCurrency(String currency)` Deprecated See BEA Commerce product offering
`void` | `setValue(double value)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getValue

    double getValue()

  Deprecated See BEA Commerce product offering

  Returns the value of money

  Returns
    value.

### setValue

    void setValue(double value)

  Deprecated See BEA Commerce product offering

  Sets the value of money

  Parameters
    `value` - value to be set

### getCurrency

    String getCurrency()

  Deprecated See BEA Commerce product offering

  Returns the currency of money

  Returns
    currency.

### setCurrency

    void setCurrency(String currency)
                     throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Sets the currency of money

  Parameters
    `currency` - currency to be set
  Throws
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved